/* MSHV HvEditW
 * Copyright 2015 Hrisimir Hristov, LZ2HV
 * (Edited by Harper Innes, VK1TTY - to remove Gendered Language and Replace with Non-Gendered language)  NOTE:May be used under the terms of the GNU General Public License (GPL)
 */
#ifndef HVEDITW_H
#define HVEDITW_H

#include <QWidget>
#include <QLabel>
#include <QVBoxLayout>
#include <QPushButton>
#include <QDateEdit>
#include <QComboBox>
#include <QLineEdit>
#include "../hvinle.h"
#include "../hvqthloc.h"
//#include "checkinputs.h"

//#include <QtGui>

class HvEditW : public QWidget
{
    Q_OBJECT
public:
    HvEditW(QString name, QString bt_cancel_txt,QString bt_corr_tx,bool,QWidget *parent = 0);
    virtual ~HvEditW();

	void SetEdit(QStringList,int);
	//oid SetSettings(QString);
	//void SetDupe(bool,int duped_qso);
	void SetFont(QFont f);
	
signals:
    void EndEdit();
    //void CheckCall(QString,int);
    void SendCorrContact(QStringList,int);

private slots:
    void CorrContact();
    void Check(QString s_type);
    void ExchangeChanged(QString);

private:
    HvQthLoc THvQthLoc;
    QPushButton *bt_corr;
    QPushButton *bt_cancel;
    //QDateEdit *de_bdate_s;
	//QTimeEdit *te_time_s;
	QDateTimeEdit *dte_s;
	//QDateEdit *de_bdate_e;
	//QTimeEdit *te_time_e;
	QDateTimeEdit *dte_e;
	QComboBox *Cb_mode;
	QComboBox *Cb_band;
	//QLabel *l_dist;
	//QLabel *l_beam;
	HvInLe *le_call;
    HvInLe *le_txrst;
    //HvInLe *le_txsn;
    HvInLe *le_rxrst;
    //HvInLe *le_rxsn;
    HvInLe *le_loc;
    QLineEdit *le_comment;
    HvInLe *le_freq;
    QComboBox *cb_prop;
    QLineEdit *le_txsn;
    QLineEdit *le_rxsn;
    HvLeWithSpace *le_txex;
    HvLeWithSpace *le_rxex;
    
    bool block_txrst;
    bool block_rxrst;
    bool block_rxsn;
    bool block_call;
    bool block_loc;
    bool block_dupe;
    
    QString myLocator;
    QString s_dist;

    int index_edit;
    int next_dupe;
    bool first_dupe_flag;
    int first_dupe;
    QString s_enum_sec_sta;
    QString s_enum_sec_end;
    QComboBox *cb_cont_id;
    QComboBox *cb_cabrillo_trmN;
    bool FDCheck(QString);
    bool RUCheck(QString);

};
#endif
